logs
Create logs aggregate
Requires scopes: traces:read
POST
/
api
/
logs
/
aggregate
Create logs aggregate
curl --request POST \
--url https://evalgate.com/api/logs/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
"count"
],
"query": "<string>",
"filters": [
{
"operator": "exists",
"field": "status",
"value": "<string>"
}
],
"groupBy": [
"status"
],
"freeText": "<string>"
}
'import requests
url = "https://evalgate.com/api/logs/aggregate"
payload = {
"metrics": ["count"],
"query": "<string>",
"filters": [
{
"operator": "exists",
"field": "status",
"value": "<string>"
}
],
"groupBy": ["status"],
"freeText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: ['count'],
query: '<string>',
filters: [{operator: 'exists', field: 'status', value: '<string>'}],
groupBy: ['status'],
freeText: '<string>'
})
};
fetch('https://evalgate.com/api/logs/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buckets": [
{
"key": {},
"metrics": {
"count": 123,
"sum_cost": 123,
"avg_duration": 123,
"p95_latency": 123,
"avg_score": 123
}
}
],
"scannedRows": 123,
"truncated": true,
"complete": true,
"queryHash": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create logs aggregate
